---
title: WebSocket.onopen
slug: Web/API/WebSocket/onopen
tags:
  - API
  - Property
  - Reference
  - Web API
  - WebSocket
---
<div>{{APIRef("Web Sockets API")}}</div>

<p>The <strong><code>WebSocket.onopen</code></strong> property is an {{domxref("EventHandler")}} that is called when the {{domxref("WebSocket")}} connection's {{domxref("WebSocket.readyState","readyState")}} changes to {{domxref("WebSocket.readyState","1")}}; this indicates that the connection is ready to send and receive data. It is called with an {{domxref("Event")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>aWebSocket</em>.onopen = function(event) {
  console.log("WebSocket is open now.");
};</pre>

<h2 id="Value">Value</h2>

<p>An {{domxref("EventListener")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#handler-websocket-onopen', 'WebSocket: onopen')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebSocket.onopen")}}</p>
